Subject: Re: bug#22819: 25.0.91; Don't try to indent region if the buffer is read-only

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Jun 2019 16:33:06 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Kaushal Modi <[email-masked]>
>> Date: Tue, 08 Aug 2017 13:06:52 +0000
>> Cc: [email-masked]
>> 
>> @Eli: Based on the discussion[1] on emacs-devel, there isn't any
>> opposition to doing what's proposed in this
>> bug thread. So if it's alright by you, and if there is no strong
>> reason to use the more concise alternative i.e. if
>> both barf-if-buffer-read-only and interactive "*.." are equally
>> correct, can the former approach be committed?
>
> I'm not sure what is it that you are asking me.  You already know my
> opinion on this proposal, and it hasn't changed.

I think the rough consensus was that adding this special-casing to this
command wasn't idea, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no